<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
    />
  </head>
  <body>
    <nav class="navbar navbar-dark bg-dark shadow-sm">
      <div class="container">
        <div class="navbar-brand">
          Fake Integration
        </div>
      </div>
    </nav>
    <section>
      <div class="container pt-5 text-center">
        <h1 class="display-1 text-bold">Fake integration</h1>
        <h5 class="text-gray-soft text-regular mb-5">PUSH THE BUTTON!</h5>
        <button type="submit" class="btn btn-primary" id="publishBtn">
          Send update
        </button>
      </div>
    </section>
  </body>
  <script>
    const button = document.getElementById("publishBtn");
    button.addEventListener("click", async event => {
      event.preventDefault();
      const res = await fetch("./", { method: "POST" });
      if (res.status === 200) {
        alert("Done!");
      }
    });
  </script>
</html>
